#pragma once

#if defined(_WIN32) || defined(_WIN64)
  #define FLUX_PLATFORM_WINDOWS
#elif defined(__linux__)
  #define FLUX_PLATFORM_LINUX
#elif defined(__APPLE__) || defined(__MACH__)
  #define FLUX_PLATFORM_MACOS
#endif

#if defined(FLUX_PLATFORM_WINDOWS)
  #if defined(FLUX_BUILD_DLL)
    #define FLUX_API __declspec(dllexport)
  #elif defined(FLUX_STATIC)
    #define FLUX_API 
  #else
    #define FLUX_API __declspec(dllimport)
  #endif
#else
  #define FLUX_API
#endif
